### Method

# Gck Session derive_key_async

#### Declaration [src]

    void
    gck_session_derive_key_async (
      GckSession* self,
      GckObject* base,
      GckMechanism* mechanism,
      GckAttributes* attrs,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Derive a key from another key. This call will return immediately and complete asynchronously.

If the `attrs` `GckAttributes` is floating, it is consumed.

#### Parameters

`base` | `GckObject`
| The key to derive from.
| The data is owned by the caller of the function.
`mechanism` | `GckMechanism`
| The mechanism to use for derivation.
| The data is owned by the caller of the function.
`attrs` | `GckAttributes`
| Additional attributes for the derived key.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation completes.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Data to pass to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.